/*--------------------------------------------------------------------------
 * Copyright (C) 1992,1993,1994,1995,1996 Dallas Semiconductor Corporation. 
 * All rights Reserved. Printed in U.S.A.
 * This software is protected by copyright laws of
 * the United States and of foreign countries.
 * This material may also be protected by patent laws of the United States 
 * and of foreign countries.
 * This software is furnished under a license agreement and/or a
 * nondisclosure agreement and may only be used or copied in accordance
 * with the terms of those agreements.
 * The mere transfer of this software does not imply any licenses
 * of trade secrets, proprietary technology, copyrights, patents,
 * trademarks, maskwork rights, or any other form of intellectual
 * property whatsoever. Dallas Semiconductor retains all ownership rights.
 *--------------------------------------------------------------------------
 */
//---------------------------------------------------------------------------
#ifndef lineunH
#define lineunH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Tabnotbk.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
class TLineForm : public TForm
{
__published:	// IDE-managed Components
   TPageControl *PageControl;
   TTabSheet *PortInfoTab;
   TTabSheet *NormalLineTab;
   TTabSheet *NormalBaudTab;
   TTabSheet *OverBaudTab;
   TTabSheet *RelaxLineTab;
   TTabSheet *RelaxBaudTab;
   TTabSheet *GeneralTab;
   TLabel *TypeDriver;
   TLabel *MainDriver;
   TLabel *DefaultPort;
   TLabel *Label2;
   TLabel *Label1;
   TComboBox *PDSRCNormal;
   TComboBox *W1LTNormal;
   TComboBox *DSOWORTNormal;
   TLabel *Label3;
   TLabel *Label4;
   TLabel *Label5;
   TComboBox *PDSRCRelaxed;
   TComboBox *W1LTRelaxed;
   TComboBox *DSOWORTRelaxed;
   TLabel *Label6;
   TLabel *Label7;
   TLabel *Label8;
   TLabel *Label9;
   TComboBox *NormalSearchBaud;
   TLabel *Label10;
   TComboBox *NormalBitBaud;
   TComboBox *NormalByteBaud;
   TLabel *Label11;
   TLabel *Label12;
   TLabel *Label13;
   TComboBox *RelaxSearchBaud;
   TComboBox *RelaxBitBaud;
   TLabel *Label14;
   TComboBox *RelaxByteBaud;
   TLabel *Label15;
   TLabel *Label16;
   TComboBox *OverSearchBaud;
   TComboBox *OverBitBaud;
   TLabel *Label17;
   TComboBox *OverByteBaud;
   TLabel *Label18;
   TComboBox *MaxSend;
   TComboBox *MaxBaud;
   TLabel *Label19;
   TLabel *Label20;
   TComboBox *MinSend;
   TLabel *Label21;
   void __fastcall FormCreate(TObject *Sender);
   bool __fastcall ReadLineSettings(void);
   bool __fastcall AquireSession(void);
   void __fastcall LineComboChange(TObject *Sender);
   bool __fastcall WriteLineSettings(void);
   
   void __fastcall PageControlChanging(TObject *Sender, bool &AllowChange);
private:	// User declarations
public:		// User declarations
   __fastcall TLineForm(TComponent* Owner);
   // release info
   char  m_zsAppName[50];           // application name
   short PortNum, PortType;         // default port
   long  SessionHandle;             // TMEX session handle
   bool  NoLine;                    // flag true if no line function
};
//---------------------------------------------------------------------------
extern TLineForm *LineForm;
//---------------------------------------------------------------------------
#endif
